[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#420611: xserver-xorg-core: Composite extension not available?

On Fri, 2007-04-27 at 10:09 +0100, Adam Spragg wrote:
> Michel Dänzer wrote:
> > As you don't have the
> > 
> > (**) Extension "Composite" is enabled
> > 
> > line, it appears like the config file parser doesn't even see the
> > option...
> > 
> >>> I guess "initialized" is different from "enabled"...
> >> It says it's initializing it, and then gives no warnings or errors.
> > 
> > No, as Brice said, that line doesn't mean an extension actually gets
> > enabled.
> The logic worked for DAMAGE, Xinerama and a few other extensions though.
> Ah well, never mind.

Coincidence, these extensions get enabled by default.

> What next?

Have you tried commenting out the "Enable" after Option "Composite"? If
so, after confirming that the X server is really using the config file
you are modifying (seems to be the case according to the info in the
original report though), you could try moving section "Extensions" to
the beginning of it, although that shouldn't make a difference...

Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer

Reply to: